Bug 648384 - dpkg version too old
Summary: dpkg version too old
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dpkg
Version: 19
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 591190 961141
TreeView+ depends on / blocked
 
Reported: 2010-11-01 07:12 UTC by Oron Peled
Modified: 2013-05-29 02:59 UTC (History)
7 users (show)

Fixed In Version: dpkg-1.16.10-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 02:59:04 UTC


Attachments (Terms of Use)

Description Oron Peled 2010-11-01 07:12:30 UTC
Description of problem:

Current dpkg in Fedora (Rawhide, F-14, F13) is dpkg-1.15.5.6

I suggest bumping it to the version used by Debian squeeze (dpkg-1.15.8.5):
 - It contains fixes to fsync() problems for ext4 (which is our
   default fs).
 - Also, due to Fedora fast release cycle, Debian-testing packages match
   better our upstream software versions, than Debian-stable.
 - Added architecture support (more [up to date] processors defined
   in /usr/share/dpkg)

Comment 1 GV 2012-07-17 11:32:32 UTC
Same on F17.
# /usr/bin/dpkg-deb -c mc/virtualbox_4.1.18-dfsg-1_i386.deb 
dpkg-deb: file `mc/virtualbox_4.1.18-dfsg-1_i386.deb' contains ununderstood data member data.tar.xz     , giving up

The same command/package works fine on debian.

Comment 2 Rui Abreu Ferreira 2013-02-08 10:47:25 UTC
And in F18 as well. The current version of dpkg does not support tar.xz archives, we would need at least 1.15.6 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642454).

Comment 3 Fedora End Of Life 2013-04-03 18:28:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Oron Peled 2013-05-07 10:32:08 UTC
* This now blocks RR for debhelper rhbz#591190, as modern debhelper
  uses libdpkg-perl (which only exist in modern dpkg source)

* There is no point in upgrading to Debian/squeeze version (which is now
  oldstable) -- we need to go strait to Debian/stable == wheezy version (1.16.10)

* I prepared something that seems to be working:
  Spec URL: http://oron.fedorapeople.org/deb-package/dpkg.spec
  SRPM URL: http://oron.fedorapeople.org/deb-package/dpkg-1.16.10-1.fc18.src.rpm

* I've used it to build and test the whole chain of RR's up to
  pbuilder (rhbz#591388)

* I'm willing to co-maintain or fully take ownership of this.
  Please do not let this package bitrot -- thank you.

Comment 5 Andrew Colin Kissa 2013-05-07 10:34:12 UTC
I will fix this, over this weekend.

Comment 6 Sergio Monteiro Basto 2013-05-09 18:03:48 UTC
Hi , Andrew Colin Kissa may I review this ? this review is open over 2 years

Comment 7 Sergio Monteiro Basto 2013-05-12 02:14:04 UTC
(In reply to comment #6)
> Hi , Andrew Colin Kissa may I review this ? this review is open over 2 years

I though this was a review but is not, so is bug to update package and is open more than 2 years , so if you don't have time to do it, please approve us as commiters on https://admin.fedoraproject.org/pkgdb/acls/name/dpkg

Comment 8 Oron Peled 2013-05-16 05:43:57 UTC
Minor fix: libdpkg-perl should be 'noarch'

Spec URL: http://oron.fedorapeople.org/deb-package/dpkg.spec
SRPM URL:
    http://oron.fedorapeople.org/deb-package/dpkg-1.16.10-1.fc18.src.rpm

Andrew, can you move this forward please? It blocks a whole stack of packages
(debhelper, pbuilder, upgrade of dh_make)

Comment 9 Sergio Monteiro Basto 2013-05-16 06:26:39 UTC
(In reply to comment #8)
> Minor fix: libdpkg-perl should be 'noarch'
>
> Spec URL: http://oron.fedorapeople.org/deb-package/dpkg.spec
> SRPM URL:
>     http://oron.fedorapeople.org/deb-package/dpkg-1.16.10-1.fc18.src.rpm
> 
> Andrew, can you move this forward please? It blocks a whole stack of packages
> (debhelper, pbuilder, upgrade of dh_make)

I'm going fix this names which are debianized in dpkg, so will be: dpkg-perl and dpkg-dev (and dpkg-devel for headers of dpkg)

Comment 10 Sergio Monteiro Basto 2013-05-16 06:28:37 UTC
I'm going fix packages names which are debianized, so packages will be: dpkg-perl
and dpkg-dev (and dpkg-devel for headers of dpkg)

Comment 11 Sergio Monteiro Basto 2013-05-16 07:46:38 UTC
Hi, I did this commit 
http://pkgs.fedoraproject.org/cgit/dpkg.git/commit/?id=82d53b78b2fce438bb97202c901acb8742828777

and ask to build for rawhide ... 

If no one, see any problem I will submit for F19 . and see if we will fix the packages that depends on this one .

Comment 12 Oron Peled 2013-05-16 08:21:55 UTC
As far as I can see, Andrew is the maintainer of this package.
Is the commit in comment #11 coordinated with him?


As a personal taste, I wouldn't have lumped so many separate changes
into a single git commit -- this is very hard for someone else to
understand and maintain (e.g: Andrew)

Andrew, can you space some cycles to move us ahead with this?
If not, do you want to pass maintainership of dpkg to me or Sergio?

Comment 13 Sergio Monteiro Basto 2013-05-16 18:04:36 UTC
(In reply to comment #12)
> As far as I can see, Andrew is the maintainer of this package.
> Is the commit in comment #11 coordinated with him?

he give me access 

> 
> As a personal taste, I wouldn't have lumped so many separate changes
> into a single git commit -- this is very hard for someone else to
> understand and maintain (e.g: Andrew)

This was a problem with me and git, I forgot to upload sources and after upload source, I had to struggled with git to commit sources and .gitignore 
after that just remove one 
-BuildArch: noarch 
in right place ! (two commits) sorry 
 
 
> Andrew, can you space some cycles to move us ahead with this?
> If not, do you want to pass maintainership of dpkg to me or Sergio?

he already passed 
I think I did a good work see: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=419470
from
http://koji.fedoraproject.org/koji/packageinfo?packageID=9963

may I merge sources and build from F19 ?

Comment 14 Sergio Monteiro Basto 2013-05-16 18:05:36 UTC
may I merge sources and build for F19 ?

Comment 15 Oron Peled 2013-05-17 00:53:12 UTC
* I'm OK with package names you suggested

* But, dpkg-perl IS 'noarch':
  - The /usr/lib/dpkg/parsechangelog/debian is a perl script
  - It is located under /usr/lib because Debian doesn't have /usr/libexec

* Looking at the build mentioned in comment #13 I see 'dpkg-dev' is
  already 'noarch' -- good.

Comment 16 Sergio Monteiro Basto 2013-05-17 01:15:10 UTC
(In reply to comment #15)
> * But, dpkg-perl IS 'noarch':
>   - The /usr/lib/dpkg/parsechangelog/debian is a perl script
>   - It is located under /usr/lib because Debian doesn't have /usr/libexec

to be noarch we need move parsechangelog/debian out of /usr/lib , as you said is a perl script, shouldn't be in /usr/bin ? or as you suggest in /usr/libexec ?

Comment 17 Oron Peled 2013-05-17 06:29:37 UTC
* Proposed fix:
  Spec URL: http://oron.fedorapeople.org/deb-package/dpkg.spec
  Patch URL: http://oron.fedorapeople.org/deb-package/dpkg-perl-libexecdir.patch

* What it does:
  - Modify the scripts/Makefile.am to use /usr/libexec instead of /usr/lib
  - Modify the .spec accordingly (and dpkg-perl is now noarch)

* Tested resulting dpkg-parsechangelog on rawhide and it works.

Comment 18 Sergio Monteiro Basto 2013-05-17 22:34:51 UTC
Applied 
http://koji.fedoraproject.org/koji/buildinfo?buildID=419985

(In reply to comment #17) 
> * Tested resulting dpkg-parsechangelog on rawhide and it works.

Cool many thanks,

Again a typo in comments and can't do git commit --amend ,  
I personally hate git, just print stupid messages that I don't understand . 
I really don't understand if it is possible amend one commit message after push it.
Sorry for 2 more commits, I just tried correct git commit message. 

I'm going build dpkg for F19 , if none opposes and close this bug, ok ?

Comment 19 Sergio Monteiro Basto 2013-05-19 20:00:56 UTC
please

Comment 20 Oron Peled 2013-05-19 21:37:00 UTC
Sure, no problem.
Just a logistics question -- isn't it better to do the regular
release cascade: first rawhide, then F19, then F18, etc?

BTW: rawhide won't need to wait for bodhi karma etc. so we can immediately
     start final testing of debhelper for rawhide.

Comment 21 Sergio Monteiro Basto 2013-05-19 21:54:16 UTC
Hi, 

(In reply to comment #20)
> Sure, no problem.
> Just a logistics question -- isn't it better to do the regular
> release cascade: first rawhide, then F19, then F18, etc?

yes, first rawhide , we need to build everything in rawhide ( dpkg, dh-make , debhelper, etc ) after check that everything is fine, we can build to F19. 
If we think this are stable, we could build for F18 and F17 .  
 
> BTW: rawhide won't need to wait for bodhi karma etc. so we can immediately
>      start final testing of debhelper for rawhide.

In rawhide we just need to wait a little to packages be published and mirrored, I think between 12 and 24  hours .

Comment 22 Oron Peled 2013-05-19 23:36:31 UTC
A minor glitch, detected when trying to run 'dpkg-buildpackage'.
The /var/lib/dpkg/status is missing.

What should be created IMO:
 * During packaging, we should create+package all directories
   belonging to 'dpkg':
   - /var/lib/dpkg
   - /var/lib/dpkg/alternatives
   - /var/lib/dpkg/info
   - /var/lib/dpkg/parts
   - /var/lib/dpkg/updates
 * During post-install, just touch /var/lib/dpkg/status

Comment 23 Sergio Monteiro Basto 2013-05-21 22:34:22 UTC
Done . Building dpkg-1.16.10-3.fc20

Comment 24 Dmitrij S. Kryzhevich 2013-05-23 11:06:09 UTC
Whould you submit dpkg-1.16 on F19 and F18?

Comment 25 Sergio Monteiro Basto 2013-05-23 21:36:09 UTC
Sure, we also have dh-make updated on rawhide, so lets begging F19 round, I'm going build dpkg-1.16 for F19 now. 
Thanks,

Comment 26 Fedora Update System 2013-05-23 22:16:47 UTC
dpkg-1.16.10-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dpkg-1.16.10-3.fc19

Comment 27 Fedora Update System 2013-05-24 19:49:13 UTC
Package dpkg-1.16.10-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dpkg-1.16.10-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9094/dpkg-1.16.10-3.fc19
then log in and leave karma (feedback).

Comment 28 Sergio Monteiro Basto 2013-05-28 14:56:34 UTC
pushed to stable,  stay tuned : )

Comment 29 Fedora Update System 2013-05-29 02:59:04 UTC
dpkg-1.16.10-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.